SCRAPER(1)

NAME
scraper - HTML querying with CSS selectors

SYNOPSIS
scraper [-HIcint] [-a attr] [-d | -f] selector [file ...]

DESCRIPTION
The scraper utility parses HTML and outputs elements matching CSS selectors.

The arguments are as follows:

-H, --html
    Output the HTML of the matching elements. This is the default.

-I, --inner-html
    Output the inner HTML of the matching elements.

-a attr, --attr attr
    Output the value of the attribute attr of the matching elements.

-c, --classes
    Output the classes of the matching elements.

-d, --document
    Parse the input as HTML documents. This is the default.

-f, --fragment
    Parse the input as HTML fragments.

-i, --id
    Output the IDs of the matching elements.

-n, --name
    Output the names of the matching elements.

-t, --text
    Output the text of the matching elements.

EXIT STATUS
The scraper utility exits 0 on success, 1 if no elements match, and >1 if an error occurs.

AUTHORS
June McEnroe <june@causal.agency> Vivek Kushwaha <yoursvivek@gmail.com>

The scraper utility relies heavily on code from the Servo project: https://servo.org.